
Figure - Bug #116161
【BSP】【EVT3】【兼容】【BT】SONY-WH-H910N  该蓝牙耳机使用QQ、飞书、微信进行语音通话时蓝牙耳
机无声音，mic可以正常输入
2023-02-10 19:45 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-02-10

Priority: High Due date: 2023-03-13

Assignee: CD Test赵飞 % Done: 100%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0086_20230328

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

Resolution: FIXED Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-03-22

Test Type: ST Root cause: 在蓝牙切换时强制重置a2dp配置

Description

【前提条件】

1、设备成功启动

【测试步骤】

1、与SONY-WH-H910N 蓝牙耳机进行配对

2、打开音乐app进行播放

3、使用飞书、微信进行语音通话

【预期结果】

3、可以正常进行通话

【实际结果】

3、对方可以听到声音，但是自身无法听到声音

即：speaker没有声音，mic成功输入，对方可以听到

History

#1 - 2023-02-10 20:09 - 移动测试一组_CDTS 刘强

- Assignee changed from CD FW 曹覃刚 to CD TPM-王祥林

#2 - 2023-02-14 11:44 - CD TPM-王祥林

- Subject changed from 【BSP】【EVT3】【兼容】【BT】SONY-WH-H910N  该蓝牙耳机使用QQ、飞书、微信进行语音通话时speaker无声音，mic可以正

常输入 to 【BSP】【EVT3】【兼容】【BT】SONY-WH-H910N  该蓝牙耳机使用QQ、飞书、微信进行语音通话时蓝牙耳机无声音，mic可以正常输入

#3 - 2023-02-14 11:46 - CD TPM-王祥林

- Status changed from New to ASSIGNED

- Assignee changed from CD TPM-王祥林 to CD LC 陶洪普

洪普

和刘强沟通后，描述有问题。不是speaker，是语音通话时蓝牙耳机没有声音。请分析一下。

#4 - 2023-02-14 11:46 - CD TPM-王祥林

- Category changed from Other to LC
#5 - 2023-02-17 10:50 - CD TPM-王祥林

- Target version set to VC1_FSE_0078_20230228

#6 - 2023-02-20 23:09 - CD LC 陶洪普

- Due date set to 2023-02-23

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to 移动测试一组_CDTS 刘强

Hi 刘强

从日志看，耳机是AAC解码，Figure设置之前已经去掉了该解码方式．

请从连接的UI和开发者选项中确认，是否使用的是AAC解码方式? 谢谢！

02-07 04:55:28.389  2024  2291 W bt_stack: [WARNING:a2dp_encoding.cc(189)] ResetPendingCmd  3

02-07 04:55:28.389   798  5064 I btaudio_offload_qti: audio_get_codec_config_qti: state = AUDIO_A2DP_STATE_STARTED

02-07 04:55:28.389   798  5064 I btaudio_offload_qti: a2dp_codec_parser: codec_type = 2

02-07 04:55:28.389   798  5064 E btaudio_offload_qti: a2dp_codec_parser: AAC: Variable bit rate enabled

02-07 04:55:28.389   798  5064 I btaudio_offload_qti: a2dp_codec_parser: AAC: VBR ctl_type:2 VBR ctl_value:1

02-07 04:55:28.389   798  5064 I btaudio_offload_qti: a2dp_codec_parser: AAC HAL: bitrate:165000 peermtu:882

02-07 04:55:28.389   798  5064 I btaudio_offload_qti: a2dp_codec_parser: AAC HW: sampling_rate:44100 bitrate:165000 mtu:882 ctl_type:0

02-07 04:55:28.389   798  5064 I btaudio_offload_qti: a2dp_codec_parser: AAC: done copying full codec config

02-07 04:55:28.389   798  5064 D a2dp_offload:  Received AAC encoder supported BT device

#7 - 2023-02-22 14:56 - 移动测试一组_CDTS 刘强

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD LC 陶洪普

如沟通：耳机连接后是AAC解码，在开发者选项中查看的

#8 - 2023-02-28 14:23 - CD TPM-王祥林

- Target version changed from VC1_FSE_0078_20230228 to VC1_FSE_0082_20230314

#9 - 2023-02-28 17:27 - CD LC 陶洪普

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD LC 陶洪普 to 移动测试一组_CDTS 刘强

- Target version changed from VC1_FSE_0082_20230314 to VC1_FSE_0078_20230228

Hi

请帮忙抓取QXDM日志，谢谢！

Please share us about.html  ,  logcat + btsnoop + qxdm log .

adb shell setprop persist.bluetooth.btsnooplogmode full       (Android Q/R)

Enable  enhanced  hci log :

adb shell setprop persist.vendor.service.bdroid.soclog true

Turn off Bluetooth 
adb pull system/etc/Bluetooth/bt_stack.conf

Edit bt_stack.conf  file:

(1)set all trace levels from 2 to 6 

(2)LoggingV=--v=10      (must enable this  log, delete mask '#' flag)

(3)LoggingVModule=--vmodule=*/btm/*=1,btm_ble_multi*=2,*/bta/gatt/*=1,*/stack/gatt/*=1,*/stack/smp/*=1,btif_ble*=1         (must enable this  log, delete mask '#'

flag)

Sample:

TRC_BTM=6

TRC_HCI=6

TRC_L2CAP=6

TRC_RFCOMM=6

TRC_OBEX=6

TRC_AVCT=6

TRC_AVDT=6

TRC_AVRC=6

TRC_AVDT_SCB=6

TRC_AVDT_CCB=6

TRC_A2D=6

TRC_SDP=6

TRC_SMP=6

TRC_BTAPP=6

TRC_BTIF=6

TRC_BNEP=6

TRC_PAN=6

TRC_HID_HOST=6

TRC_HID_DEV=6

    1. This is Log configuration for new C++ code using LOG macros.

    2. See libchrome/base/logging.h for description on how to configure your logs.

    3. sample configuration:

LoggingV=--v=10

LoggingVModule=--vmodule=*/btm/*=1,btm_ble_multi*=2,*/bta/gatt/*=1,*/stack/gatt/*=1,*/stack/smp/*=1,btif_ble*=1

(4)

adb root 

adb remount 

adb push bt_stack.conf system/etc/Bluetooth/bt_stack.conf 

adb logcat -v threadtime  >DUT-logcat.txt

logcat -L -b all -v threadtime -v printable -v uid -d

Turn on Bluetooth and execute test case 

b) btsnoop 

adb pull /data/misc/Bluetooth/logs/ snoop.cfa (which then contained the attached hci_snoop20181116144112.cfa)

#10 - 2023-02-28 17:53 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD LC 陶洪普

#11 - 2023-02-28 22:02 - CD LC 陶洪普
Hi 刘强，

我这边使用 FlatBuild_HH_MCE_FSE.M.D.userdebug.01.00.C101.202302250115.zip 版本，

播放音乐，报＂播放被中断＂，＂无法读取文件＂等错误．

明天上午我们一起测试一下．谢谢！

#12 - 2023-03-01 22:07 - CD LC 陶洪普

1. 测试未复现票中描述的问题: 蓝牙耳机无声音,MIC正常的输入 

可以双向通话(网络有些卡顿)

2. 复现时,发现了系统经常会ANR(测试刘强抓取了日志提了bug),还有和 "倍思P1"耳机有兼容问题.

Next:

继续复现票中现象.

#13 - 2023-03-06 14:05 - CD LC 陶洪普

抓取QXDM日志,与测试复测时,未复现.

再次复测中.

#14 - 2023-03-06 16:11 - CD LC 陶洪普

- Assignee changed from CD LC 陶洪普 to 移动测试一组_CDTS 刘强

Hi 刘强

这个没有复现,请帮忙再次测试复现, 测试时,按照上面抓取logcat,hci,QXDM.

谢谢!

#15 - 2023-03-06 19:31 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CDTS_Test 吴诗雨

麻烦帮忙复现

#16 - 2023-03-07 09:49 - CD TPM-王祥林

- Target version changed from VC1_FSE_0078_20230228 to VC1_FSE_0082_20230314

#17 - 2023-03-07 17:33 - CDTS_Test 吴诗雨

- File logcat.txt added

- File logs.zip added

已复现问题，发生时间为17：12，对方可以听到声音，但无法听到对方的声音

log已上传，tlog超过限制大小，已私法

#18 - 2023-03-07 17:34 - CDTS_Test 吴诗雨

- Assignee changed from CDTS_Test 吴诗雨 to CD LC 陶洪普
#19 - 2023-03-10 17:23 - CD LC 陶洪普

The reason is sco disconnect , headset should also can't hear DUT voice .

////sco disconnect

Frame#1,726 2023/3/7 17:08:55.226925 Command 0x0004 0x0406 Link Control HCI_Disconnect

////logcat

03-07 17:08:55.007 10124 10250 D audio_hw_utils: audio_extn_utils_send_app_type_cfg: usecase->out_snd_device bt-sco-headset-wb

03-07 17:08:55.007 10124 10250 D msm8974_platform: platform_split_snd_device: snd_device(43) num devices(0) new_snd_devices(0)

03-07 17:08:55.007 10124 10250 I audio_hw_utils: send_app_type_cfg_for_device PLAYBACK app_type 69946, acdb_dev_id 39, sample_rate 16000, snd_device_be_idx 32

03-07 17:08:55.008 10124 10250 D msm8974_platform: platform_split_snd_device: snd_device(43) num devices(1) new_snd_devices(0)

03-07 17:08:55.008 10124 10250 D ACDB-LOADER: ACDB -> send_audio_cal, acdb_id = 39, path = 0, app id = 0x1113a, sample rate = 16000, afe_sample_rate = 48000

////error

03-07 17:08:55.011 10124 10250 D android.hardware.audio.service: Failed to fetch the lookup information of the device 00000027

03-07 17:08:55.011 10124 10250 D ACDB-LOADER: Error: ACDB_CMD_GET_AFE_INSTANCE_COMMON_TABLE_SIZE Returned = -19

03-07 17:08:55.011 10124 10250 D ACDB-LOADER: ACDB -> ACDB_CMD_GET_AFE_INSTANCE_COMMON_TABLE

03-07 17:08:55.011 10124 10250 D android.hardware.audio.service: Failed to fetch the lookup information of the device 00000027

03-07 17:08:55.011 10124 10250 D ACDB-LOADER: Error: ACDB AFE returned = -19

03-07 17:08:55.011 10124 10250 D ACDB-LOADER: ACDB -> AUDIO_SET_AFE_CAL cal_type16 acdb_id39

03-07 17:08:55.011 10124 10250 D ACDB-LOADER: ACDB -> send_hw_delay : acdb_id = 39 path = 0

03-07 17:08:55.011 10124 10250 D ACDB-LOADER: ACDB -> ACDB_AVSYNC_INFO: ACDB_CMD_GET_DEVICE_PROPERTY

03-07 17:08:55.011 10124 10250 D msm8974_platform: platform_split_snd_device: snd_device(43) num devices(0) new_snd_devices(0)

03-07 17:08:55.011 10124 10250 I msm8974_platform: platform_get_custom_mtmx_params: no matching param with id 0 ip_ch 2 op_ch 2 uc_id 33 snd_dev 43

03-07 17:08:55.011 10124 10250 D audio_hw_primary: enable_audio_route: apply mixer and update path: audio-playback-voip bt-sco-wb

03-07 17:08:55.011 10124 10250 D audio_route: Apply path: audio-playback-voip bt-sco-wb

03-07 17:08:55.013 10124 10250 D audio_hw_primary: select_devices: done

And from QXDM 0x1586 Rx ,it is also no voice .

#20 - 2023-03-10 17:37 - CD LC 陶洪普

- Due date changed from 2023-02-23 to 2023-03-13

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD LC 陶洪普 to Multimedia组-RD3_TSCD 梁卿山

Hi 卿山，

如我们同步的，请参照上面Comments,帮继续分析。如需要我们的，随时联系。

谢谢！

#21 - 2023-03-13 10:16 - CD TPM-王祥林

- Category changed from LC to AUDIO-FW

#22 - 2023-03-13 18:19 - Multimedia组-RD3_TSCD 梁卿山

HI All，

根据当前的日志错误，我们做了复现，提了新的高通case给audio组。

case号：06532461
#23 - 2023-03-14 15:31 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL,

高通回复如下，我们按要求提供了复现qxdm和log，还在解析中

3/13/2023 8:38 AM

Comment:

dear customer

23563 01-01 08:03:10.629 0 0 E afe_send_cmd_port_start: AFE enable for port 0x400e failed -131

this error should come from ADSP.

could you please issue the below command to get the log again along with the QXDM log together?

echo -n "file q6afe.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file q6asm.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file q6adm.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file msm-pcm-routing-v2.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file msm-dai-q6-v2.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file soc-dapm.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file soc-pcm.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file soc-core.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file pcm_lib.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file pcm.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file pcm_native.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file msm-qti-pp-config.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file bolero-cdc.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file rx-macro.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file tx-macro.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file va-macro.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file wsa-macro.c +p" > /sys/kernel/debug/dynamic_debug/control

echo -n "file lahaina.c +p" > /sys/kernel/debug/dynamic_debug/control

liyonghua

best regards!

#24 - 2023-03-20 17:25 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD Test赵飞

Hi 赵飞

■ 当前现象

我们使用了115061的高通patch后，该问题也不再发生，请帮忙确认，谢谢

我们起了编译，请编译完成后，确认，谢谢

Jenkins连接

http://192.168.87.26:8080/view/Projects/view/Project-IOT/job/VerifyBuild_for_IOT_6490/211/parameters/

FTP地址

Figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230320/202303200923-211

#25 - 2023-03-21 16:06 - CD Test赵飞

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD Test赵飞 to Multimedia组-RD3_TSCD 梁卿山
使用VB版本验证通过，飞书语音可以听到对端声音

#26 - 2023-03-22 18:49 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-03-22

- Root cause set to 在蓝牙切换时强制重置a2dp配置

Hi 赵飞

提交已经合并，由于该提交来自高通，需要做周边影响测试，请使用release版本进行充分的周边测试，谢谢！

大概的场景：

1.一个蓝牙频繁切换music和voice call两种应用。

2.多个蓝牙频繁在music下的切换。

3.多个蓝牙频繁在voice call的切换。

#27 - 2023-03-22 18:49 - Multimedia组-RD3_TSCD 梁卿山

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD Test赵飞

#28 - 2023-03-23 14:07 - CDTS_TEST 王成

- Target version changed from VC1_FSE_0082_20230314 to VC1_FSE_0086_20230328

#29 - 2023-03-23 14:56 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0085.C101

验证结果：PASS

#30 - 2023-03-23 14:56 - CD Test赵飞

- Status changed from VERIFIED to CLOSED

Files

speaker.txt 2.47 MB 2023-02-10 移动测试一组_CDTS 刘强

logcat.txt 8.91 MB 2023-03-07 CDTS_Test 吴诗雨

logs.zip 84.4 KB 2023-03-07 CDTS_Test 吴诗雨
